# Method: providers.vehicles.get

- [HTTP request](https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.vehicles/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.vehicles/get#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.vehicles/get#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.vehicles/get#body.request_body)
- [Response body](https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.vehicles/get#body.response_body)

Returns a vehicle from the Fleet Engine.

### HTTP request

`GET https://fleetengine.googleapis.com/v1/{name=providers/*/vehicles/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Must be in the format `providers/{provider}/vehicles/{vehicle}`. The provider must be the Project ID (for example, `sample-cloud-project`) of the Google Cloud Project of which the service account making this call is a member. |

### Query parameters

| Parameters ||
|---|---|
| `header` | ``object (`https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/RequestHeader`)`` The standard Fleet Engine request header. |
| `currentRouteSegmentVersion` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Indicates the minimum timestamp (exclusive) for which `Vehicle.current_route_segment` is retrieved. If the route is unchanged since this timestamp, the `currentRouteSegment` field is not set in the response. If a minimum is unspecified, the `currentRouteSegment` is always retrieved. Uses RFC 3339, where generated output will always be Z-normalized and uses 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |
| `waypointsVersion` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Indicates the minimum timestamp (exclusive) for which `Vehicle.waypoints` data is retrieved. If the waypoints are unchanged since this timestamp, the `vehicle.waypoints` data is not set in the response. If this field is unspecified, `vehicle.waypoints` is always retrieved. Uses RFC 3339, where generated output will always be Z-normalized and uses 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.vehicles#Vehicle`.